test: Fix javac/dx run-test regressions from adding desugar

Fixes 4 tests for javac/dx build. 38 broken tests remaining.

Test: ANDROID_COMPILE_WITH_JACK=false art/test.py
Bug: 36902714
Change-Id: Ib879bdb02a7c3eb640fc929a0c2da1a14838cb35
diff --git a/test/065-mismatched-implements/build b/test/065-mismatched-implements/build
new file mode 100755
index 0000000..41823b5
--- /dev/null
+++ b/test/065-mismatched-implements/build
@@ -0,0 +1,27 @@
+#!/bin/bash
+#
+# Copyright 2017 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# Make us exit on a failure.
+
+set -e
+
+# Don't use desugar because the build fails when it encounters ICCE.
+#
+# Exception in thread "main" java.lang.IllegalArgumentException
+#  at com.google.common.base.Preconditions.checkArgument(Preconditions.java:108)
+#  at com.google.devtools.build.android.desugar.DefaultMethodClassFixer$DefaultMethodFinder.visit(DefaultMethodClassFixer.java:295)
+export USE_DESUGAR=false
+
+./default-build "$@"